<div class="login-body forgot-password">

    <div class="login-page">


          <div  class="login-block">
                <h1 class="logo"><img class="img-responsive" src="/assets/images/logo.png"></h1>
                <h3>
                    <i class="fa fa-key"></i>
                    <span>Reset Password</span>
                    <span *ngIf="!msgNotification && loading" class="loading-icon text-center">
                        <img src="/assets/images/loading-timeline.gif" alt="Loading">
                    </span>
                </h3>

                <div class="form-group">
                    <p class="note">
                        (*) Password must contain at least 8 characters, 1 lowercase character, 1 uppercase character, 1
                        number, 1
                        special character and can't contain spaces.
                    </p>
                </div>



                <div *ngIf="errorMessages.length > 0">
                    <div class="alert alert-danger" *ngFor="let message of errorMessages">
                        <a (click)="removeMessage(message)" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                        {{message}}
                    </div>
                </div>
                <div *ngIf="msgNotification" class="form-group clearfix">
                    <!-- message notification -->
                    <div class="alert alert-{{ msgNotification.status }}">
                        <a aria-label="close" class="close" href="#">×</a>
                        <span [innerHTML]="msgNotification.content"></span>
                    </div>
                </div>
              <wms-messages [messages]="messages" ></wms-messages>
              <div *ngIf="!tokenValue" class="alert alert-danger">
                  <strong>Whoops</strong>, looks like something went wrong.
              </div>
              <form *ngIf="form" [formGroup]="form" (ngSubmit)="onSubmit()" novalidate>
                  <div *ngIf="!isExpiredToken" class="form-group">
                        <div class="input-group">
                            <span class="input-group-addon">
                               <i class="fa fa fa-key"></i>
                            </span>
                            <input type="password" minlength="8" maxlength="32" required="required" class="form-control"
                                   placeholder="Password" formControlName="password">
                        </div>
                    </div>
                    <div *ngIf="!isExpiredToken" class="form-group has-feedback">
                        <div class="input-group">
                            <span class="input-group-addon">
                               <i class="fa fa fa-key"></i>
                            </span>
                            <input type="password" minlength="8" maxlength="32" required="required" class="form-control"
                                   placeholder="Confirm Password" formControlName="password_confirmation">

                        </div>
                        <span *ngIf="checkPasswordConfirm()" class="glyphicon glyphicon-ok form-control-feedback greenCheck"
                              aria-hidden="true" style="line-height: 3 !important;"></span>
                    </div>
              </form>
                <div class="button-login clearfix">
                    <div class="row">
                        <div class="col-md-6">
                            <button type="button" (click)="redirectToLogin()" class="btn btn-login no-margin-left"><i
                                    class="icon-close"></i>Cancel
                            </button>
                        </div>
                        <div class="col-md-6" *ngIf="!isExpiredToken">
                            <button type="button" (click)="onSubmit()" class="btn btn-primary btn-login no-margin-left"><i
                                    class="icon-check"></i>Save
                            </button>
                        </div>
                    </div>
                </div>
            </div>



    </div>
</div>
